"use strict";

const wrapError = require("@validatem/wrap-error");
const either = require("@validatem/either");
const isString = require("@validatem/is-string");

module.exports = function (operations) {
	const isAnyFieldObject = require("./is-any-field-object")(operations);
	const wrapPossiblyRemoteFieldName = require("./wrap-possibly-remote-field-name")(operations);
	
	return wrapError("Must be a field name or object", either([
		[ isAnyFieldObject ],
		[ isString, wrapPossiblyRemoteFieldName ]
	]));
};
